/*----------------------------------------------------------------------
	This is part of the PureLS Source code.

	Copyright (C) 2000-2002 The PureLS Development Team

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
	USA
----------------------------------------------------------------------*/


#ifndef _INC_PLSDEF
#define _INC_PLSDEF

/*--------------------------------------------------------------------*/

#define PLS_MAX_SIZE 4096

/*--------------------------------------------------------------------*/

#define PURELS_MSG                     (WM_APP + 1)

#define PM_QUIT                        (PURELS_MSG + 1)
 #define QC_QUIT            (0)
 #define QC_LOGOFF          (1)
 #define QC_REBOOT          (2)
 #define QC_SHUTDOWN        (3)
 #define QC_SHUTDOWN_DIALOG (4)

#define PM_RECYCLE                     (PURELS_MSG + 2)
#define PM_REFRESH                     (PURELS_MSG + 3)
#define PM_REGISTERDIALOG              (PURELS_MSG + 4)
#define PM_UNREGISTERDIALOG            (PURELS_MSG + 5)

/*--------------------------------------------------------------------*/

#endif /* _INC_PLSDEF */
